Bug 962625 - CVE-2013-2084 livecd-tools: ignores rootpw --lock (used by appliance-creator)
CVE-2013-2084 livecd-tools: ignores rootpw --lock (used by appliance-creator)
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20150723,repo...
: Security
Depends On:
Blocks: 963005
  Show dependency treegraph
 
Reported: 2013-05-14 01:19 EDT by Kurt Seifried
Modified: 2015-07-23 10:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-17 15:19:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kurt Seifried 2013-05-14 01:19:34 EDT
Matthew Miller (mattdm@redhat.com) reports:

From the kickstart documentation, "rootpw --lock" should result in a locked root password.

In testing (on Fedora 19), it does nothing at all. 

`passwd -l root` in %post is a workaround, but shouldn't be necessary.
Comment 1 Kurt Seifried 2013-05-15 02:53:31 EDT
appliance-creator (in the RPM appliance-tools) depends upon livecd-tools which contains contains the script imgcreate/kickstart.py that that actually handles configuration of the root password.
Comment 4 Kurt Seifried 2013-05-17 15:19:28 EDT
CVE duplicate of CVE-2013-2069, merged all content/trackers/etc into there.

Note You need to log in before you can comment on or make changes to this bug.